Subject: Re: [PATCH] convert powermac ide blink to new led infrastructure

From: Johannes Berg <[email-masked]>
Date: Mon, 01 May 2006 11:25:13 +0200

On Mon, 2006-05-01 at 19:10 +1000, Benjamin Herrenschmidt wrote:

> Yes, there is a callback, that's the "done" function, but you can also
> poll/check on request->complete though in this case, polling is not
> recommended, the LED stuff should be as low latency as possible.

I suppose then what I'll do is request a done callback, and when an LED
update comes in while not done, just save it into a new 'next state
should be' variable, which is compared when done so that at worst I
loose events, but not the final status.

Can I use pmu_request from within the done callback with the same
structure? Probably not a good idea right? I can schedule_work then.

johannes